Bug 169895 - [patch] audio/beast: fails to build
Summary: [patch] audio/beast: fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-16 00:00 UTC by Jan Beich
Modified: 2012-08-06 13:10 UTC (History)
0 users

See Also:


Attachments
misc.diff (1.42 KB, patch)
2012-07-16 00:00 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2012-07-16 00:00:22 UTC

How-To-Repeat: $ make
===>  Building for beast-0.7.4_2
gmake: ./mkrelease.sh: Command not found
gmake  all-recursive
gmake[1]: ./mkrelease.sh: Command not found
gmake[1]: Entering directory `.../beast-0.7.4'
Making all in .
gmake[2]: ./mkrelease.sh: Command not found
gmake[2]: Entering directory `.../beast-0.7.4'
gmake[2]: Leaving directory `.../beast-0.7.4'
Making all in data
gmake[2]: Entering directory `.../beast-0.7.4/data'
LC_ALL=C ../autotools/intltool-merge -d -u -c ../po/intlmerge.tmpcache ../po /dev/null /dev/null
../autotools/intltool-merge: not found
gmake[2]: *** [../po/intlmerge.tmpcache] Error 127
gmake[2]: Leaving directory `.../beast-0.7.4/data'
gmake[1]: *** [all-recursive] Error 1

$ sed -n 1p $(make -V WRKSRC)/mkrelease.sh
#!/bin/bash

$ sed -n 1p $(make -V WRKSRC)/autotools/intltool-merge
#!/usr/bin/perl -w

$ make
[...]
bsecxxvalue.cc: In member function 'gchar* const Bse::Value::get_string() const':
bsecxxvalue.cc:59: error: invalid conversion from 'const gchar*' to 'gchar*'
gmake[3]: *** [bsecxxvalue.lo] Error 1
gmake[3]: Leaving directory `.../beast-0.7.4/bse'
Comment 1 Edwin Groothuis freebsd_committer 2012-07-16 00:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pietro Cerutti freebsd_committer 2012-07-16 10:36:06 UTC
State Changed
From-To: open->feedback

I don't see why using G_DISABLE_CONST_RETURNS is a good idea here. Have 
you taken this upstreams to see what they think?
Comment 3 Jan Beich freebsd_committer 2012-07-16 15:43:00 UTC
gahr@FreeBSD.org writes:

> I don't see why using G_DISABLE_CONST_RETURNS is a good idea here. Have 
> you taken this upstreams to see what they think? 

No. But it should bite Linux users since glib-2.29.8, too.

https://bugzilla.gnome.org/show_bug.cgi?id=644611 # deprecate G_CONST_RETURN
Comment 4 Pietro Cerutti freebsd_committer 2012-07-17 07:46:06 UTC
On 2012-Jul-16, 23:30, Jan Beich wrote:
> The following reply was made to PR ports/169895; it has been noted by GNATS.
> 
> From: Jan Beich <jbeich@tormail.org>
> To: bug-followup@FreeBSD.org
> Cc:  
> Subject: Re: ports/169895: [patch] audio/beast: fails to build
> Date: Mon, 16 Jul 2012 18:43:00 +0400
> 
>  gahr@FreeBSD.org writes:
>  
>  > I don't see why using G_DISABLE_CONST_RETURNS is a good idea here. Have 
>  > you taken this upstreams to see what they think? 
>  
>  No. But it should bite Linux users since glib-2.29.8, too.
>  
>  https://bugzilla.gnome.org/show_bug.cgi?id=644611 # deprecate G_CONST_RETURN


I see, still I'd prefer to see this patched upstreams. I'll commit the
perl part of the patch and close this. Would you be ok with it?

-- 
Pietro Cerutti
The FreeBSD Project
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp
Comment 5 dfilter service freebsd_committer 2012-08-06 13:07:28 UTC
Author: gahr
Date: Mon Aug  6 12:07:13 2012
New Revision: 302172
URL: http://svn.freebsd.org/changeset/ports/302172

Log:
  - Use correct paths to perl and sh binaries
  
  PR:		169895
  Submitted by:	Jan Beich <jbeich@tormail.org>

Modified:
  head/audio/beast/Makefile   (contents, props changed)

Modified: head/audio/beast/Makefile
==============================================================================
--- head/audio/beast/Makefile	Mon Aug  6 12:02:34 2012	(r302171)
+++ head/audio/beast/Makefile	Mon Aug  6 12:07:13 2012	(r302172)
@@ -55,6 +55,10 @@ post-patch:
 		/FLAGS=/ s/(-g|-ggdb3|-pipe|-O2|-ftracer|-finline-functions|-fno-keep-static-consts)//; \
 		s|echo aout|echo elf|g' \
 		${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|' \
+		${WRKSRC}/autotools/intltool-merge
+	@${REINPLACE_CMD} -e 's|/bin/bash|${SH}|' \
+		${WRKSRC}/mkrelease.sh
 	@${REINPLACE_CMD} -e 's|-DG_DISABLE_DEPRECATED||g' \
 		${WRKSRC}/bse/Makefile.in \
 		${WRKSRC}/bse/zintern/Makefile.in
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pietro Cerutti freebsd_committer 2012-08-06 13:07:38 UTC
State Changed
From-To: feedback->closed

Committed the perl part. Please report the 
G_DISABLE_CONST_RETURNS-related part upstreams.